curl --request GET \
--url https://sandbox.cashfree.com/pg/orders/{order_id}/extended \
--header 'x-api-version: <x-api-version>' \
--header 'x-client-id: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://sandbox.cashfree.com/pg/orders/{order_id}/extended"
headers = {
"x-api-version": "<x-api-version>",
"x-client-id": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'x-api-version': '<x-api-version>',
'x-client-id': '<api-key>',
'x-client-secret': '<api-key>'
}
};
fetch('https://sandbox.cashfree.com/pg/orders/{order_id}/extended', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"$ref": "#/components/examples/order_extended_data_entity_list_example/value/0"
}{
"message": "bad URL, please check API documentation",
"code": "request_failed",
"type": "invalid_request_error"
}{
"message": "authentication Failed",
"code": "request_failed",
"type": "authentication_error"
}{
"message": "something is not found",
"code": "somethind_not_found",
"type": "invalid_request_error"
}{
"message": "order with same id is already present",
"code": "order_already_exists",
"type": "invalid_request_error"
}{
"message": "something is not found",
"code": "request_invalid",
"type": "idempotency_error"
}{
"message": "Too many requests from IP. Check headers",
"code": "request_failed",
"type": "rate_limit_error"
}{
"message": "internal Server Error",
"code": "internal_error",
"type": "api_error"
}Get Order Extended
Use this API to fetch the order related data like address,cart,offers,customer details etc using the Cashfree’s order_id.
When to use Get Order Extended API
- To get the extended data associated with order.
- Once the order is PAID
- Once your customer returns to
return_url
Authorizations
Client app ID. You can find your app id in the Merchant Dashboard.
Client secret key. You can find your secret key in the Merchant Dashboard.
Headers
API version to be used
Request id for the API call. Can be used to resolve tech issues. Communicate this in your tech related queries to cashfree
An idempotency key is a unique identifier you include with your API call. If the request fails or times out, you can safely retry it using the same key to avoid duplicate actions.
Path Parameters
The id which uniquely identifies your order
Response
OK
The complete order extended data entity
unique id generated by cashfree for your order
order_id sent during the api request
Currency of the order. Example INR
When the order was created at cashfree's server
"2022-08-16T14:45:38+05:30"
Charges accociated with the order
Show child attributes
Show child attributes
{
"shipping_charges": 5,
"cod_handling_charges": 10
}
Recent Customer details associated with the order.
Show child attributes
Show child attributes
{
"customer_id": "7112AAA812234",
"customer_email": "john@cashfree.com",
"customer_phone": "9908734801",
"customer_name": "John Doe",
"customer_uid": "54deabb4-ba45-4a60-9e6a-9c016fe7ab10"
}
Address associated with the customer.
Show child attributes
Show child attributes
{
"name": "Aditya Keshri",
"address_line_one": "MK Building",
"address_line_two": "Test Address",
"country": "India",
"country_code": "IN",
"state": "Karnataka",
"state_code": "KA",
"city": "Bangalore",
"pin_code": "560034",
"phone": "+91 1118911189",
"email": "test@cashfree.com"
}
Address associated with the customer.
Show child attributes
Show child attributes
{
"name": "Aditya Keshri",
"address_line_one": "MK Building",
"address_line_two": "Test Address",
"country": "India",
"country_code": "IN",
"state": "Karnataka",
"state_code": "KA",
"city": "Bangalore",
"pin_code": "560034",
"phone": "+91 1118911189",
"email": "test@cashfree.com"
}
The cart details that are necessary like shipping address, billing address and more.
Show child attributes
Show child attributes
Details of the offer which got applied to the paid order.
Show child attributes
Show child attributes
Was this page helpful?